package com.javacodegeeks.enterprise.jsf.treeselectionjsf;


import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import org.primefaces.model.CheckboxTreeNode;
import org.primefaces.model.TreeNode;
 
@ManagedBean(name = "documentService")
@ApplicationScoped
public class DocumentService {
     
    public TreeNode createCheckboxDocuments() {
        TreeNode root = new CheckboxTreeNode(new Document("Files"), null);
         
        TreeNode cars = new CheckboxTreeNode(new Document("Cars"), root);
        TreeNode documents = new CheckboxTreeNode(new Document("Documents"), root);
        TreeNode actors = new CheckboxTreeNode(new Document("Actors"), root);
         
        TreeNode sedan = new CheckboxTreeNode(new Document("Sedan"), cars);
        TreeNode coupe = new CheckboxTreeNode(new Document("Coupe"), cars);
         
        // Cars' children definition.
        TreeNode bmw525 = new CheckboxTreeNode("picture", new Document("BMW 525i.jpg"), sedan);
        TreeNode bmw116 = new CheckboxTreeNode("picture", new Document("BMW 116i.jpg"), coupe);
        TreeNode bmw316 = new CheckboxTreeNode("picture", new Document("BMW 316i.png"), coupe);
         
        // Documents' children definition.
        TreeNode cv = new CheckboxTreeNode("document", new Document("Thodoris_Bais_CV.doc"), documents);
        TreeNode shortBio = new CheckboxTreeNode("document", new Document("Thodoris_Bais_bio.doc"), documents);
         
        // Actors' children definition.
        TreeNode men = new CheckboxTreeNode(new Document("Men"), actors);
        TreeNode women = new CheckboxTreeNode(new Document("Women"), actors);
         
        TreeNode robertDeNiro = new CheckboxTreeNode("mp3", new Document("Robert De Niro"), men);
        TreeNode seanPenn = new CheckboxTreeNode("mp3", new Document("Sean Penn"), men);
         
        TreeNode evaMendez = new CheckboxTreeNode("mp3", new Document("Eva Mendez"), women);
         
        return root;
    }
}
